package com.fs.live.mapper;


import com.fs.live.domain.LiveUserLike;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户直播赞Mapper接口
 *
 * @author fs
 * @date 2025-07-11
 */
public interface LiveUserLikeMapper {
    /**
     * 查询用户直播赞
     *
     * @param id 用户直播赞主键
     * @return 用户直播赞
     */
    LiveUserLike selectLiveUserLikeById(Long id);

    /**
     * 查询用户直播赞列表
     *
     * @param liveUserLike 用户直播赞
     * @return 用户直播赞集合
     */
    List<LiveUserLike> selectLiveUserLikeList(LiveUserLike liveUserLike);

    /**
     * 新增用户直播赞
     *
     * @param liveUserLike 用户直播赞
     * @return 结果
     */
    int insertLiveUserLike(LiveUserLike liveUserLike);

    /**
     * 修改用户直播赞
     *
     * @param liveUserLike 用户直播赞
     * @return 结果
     */
    int updateLiveUserLike(LiveUserLike liveUserLike);

    /**
     * 删除用户直播赞
     *
     * @param id 用户直播赞主键
     * @return 结果
     */
    int deleteLiveUserLikeById(Long id);

    /**
     * 批量删除用户直播赞
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteLiveUserLikeByIds(Long[] ids);

    LiveUserLike selectLiveUserLikeByIds(@Param("liveId")Long liveId, @Param("userId") Long userId);
}
